Last modified: 2013-01-18 04:16:06 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33198 - Spinner doesn't spin on emulator, some devices (animated GIF)
Spinner doesn't spin on emulator, some devices (animated GIF)
Status: RESOLVED WONTFIX
Product: Wikipedia App
Classification: Unclassified
Generic (Other open bugs)
1.0.0 (Android)
All All
: Normal normal
: ---
Assigned To: Yuvi Panda
:
Depends on: 33855
Blocks: gif 32139
  Show dependency treegraph
 
Reported: 2011-12-16 18:48 UTC by Brion Vibber
Modified: 2013-01-18 04:16 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: Android
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2011-12-16 18:48:04 UTC
Broken out of bug 31483: the animated GIF spinner doesn't spin on all devices.

Upstream issue: http://code.google.com/p/android/issues/detail?id=3422

Some devices have animated GIFs enabled (such as Nexus 1, Nexus S), but not all.

A more compatible spinner may need to use an interval & swapping frames through a CSS sprite or something.
Comment 1 Yuvi Panda 2011-12-16 18:58:27 UTC
Hopefully we can use a CSS Animation instead.
Comment 2 Phil Chang 2012-01-24 00:23:49 UTC
Maybe one to re-assign to Jon?
Comment 3 Yuvi Panda 2012-03-08 21:20:43 UTC
Fixed in 346aabd1eae05db785a596230251b945e6a233d9. Thanks to Shravan for the patch :)
Comment 4 Yuvi Panda 2012-03-21 15:28:55 UTC
This caused https://bugzilla.wikimedia.org/show_bug.cgi?id=35231, so reverting for now.
Comment 5 Brion Vibber 2013-01-18 04:16:06 UTC
Not worth the trouble to fix for now; shouldn't be an issue on future native app.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links